---
references:
- id: BachRandomized2019
  accessed:
    - year: 2023
      month: 4
      day: 8
  author:
    - family: Bach
      given: C
    - family: Ceglia
      given: D.
    - family: Song
      given: L.
    - family: Duddeck
      given: F.
  citation-key: BachRandomized2019
  container-title: International Journal for Numerical Methods in Engineering
  DOI: 10.1002/nme.6009
  ISSN: 1097-0207
  issue: '4'
  issued:
    - year: 2019
  language: en
  page: 209-241
  title: >-
    Randomized low-rank approximation methods for projection-based model order
    reduction of large nonlinear dynamical problems
  type: article-journal
  volume: '118'

- id: BrandFast2006
  accessed:
    - year: 2023
      month: 4
      day: 8
  author:
    - family: Brand
      given: Matthew
  citation-key: BrandFast2006
  collection-title: Special Issue on Large Scale Linear and Nonlinear Eigenvalue Problems
  container-title: Linear Algebra and its Applications
  container-title-short: Linear Algebra and its Applications
  DOI: 10.1016/j.laa.2005.07.021
  ISSN: 0024-3795
  issue: '1'
  issued:
    - year: 2006
      month: 5
      day: 1
  language: en
  page: 20-30
  title: Fast low-rank modifications of the thin singular value decomposition
  type: article-journal
  volume: '415'

- id: BrandIncremental2002
  accessed:
    - year: 2023
      month: 4
      day: 8
  author:
    - family: Brand
      given: Matthew
  citation-key: BrandIncremental2002
  collection-editor:
    - family: Goos
      given: Gerhard
    - family: Hartmanis
      given: Juris
    - family: Leeuwen
      given: Jan
      non-dropping-particle: van
  container-title: Computer Vision — ECCV 2002
  DOI: 10.1007/3-540-47969-4_47
  editor:
    - family: Heyden
      given: Anders
    - family: Sparr
      given: Gunnar
    - family: Nielsen
      given: Mads
    - family: Johansen
      given: Peter
  event-place: Berlin, Heidelberg
  ISBN: 978-3-540-43745-1 978-3-540-47969-7
  issued:
    - year: 2002
  language: en
  page: 707-720
  publisher: Springer Berlin Heidelberg
  publisher-place: Berlin, Heidelberg
  title: >-
    Incremental Singular Value Decomposition of Uncertain Data with Missing
    Values
  type: paper-conference
  URL: https://www.merl.com/publications/docs/TR2002-24.pdf
  volume: '2350'

- id: BunchUpdating1978
  accessed:
    - year: 2023
      month: 4
      day: 8
  author:
    - family: Bunch
      given: James R.
    - family: Nielsen
      given: Christopher P.
  citation-key: BunchUpdating1978
  container-title: Numerische Mathematik
  container-title-short: Numer. Math.
  DOI: 10.1007/BF01397471
  ISSN: 0945-3245
  issue: '2'
  issued:
    - year: 1978
      month: 6
      day: 1
  language: en
  page: 111-129
  title: Updating the singular value decomposition
  type: article-journal
  volume: '31'

- id: GuDowndating1995
  accessed:
    - year: 2023
      month: 4
      day: 9
  author:
    - family: Gu
      given: Ming
    - family: Eisenstat
      given: Stanley C.
  citation-key: GuDowndating1995
  container-title: SIAM Journal on Matrix Analysis and Applications
  container-title-short: SIAM J. Matrix Anal. & Appl.
  DOI: 10.1137/S0895479893251472
  ISSN: 0895-4798, 1095-7162
  issue: '3'
  issued:
    - year: 1995
      month: 7
  language: en
  page: 793-810
  publisher: Society for Industrial and Applied Mathematics
  title: Downdating the Singular Value Decomposition
  type: article-journal
  volume: '16'

- id: GuStable1993
  author:
    - family: Gu
      given: Ming
    - family: Eisenstat
      given: Stanley C.
  citation-key: GuStable1993
  issued:
    - year: 1993
  publisher: Citeseer
  title: A stable and fast algorithm for updating the singular value decomposition
  type: report

- id: HalkoFinding2010
  accessed:
    - year: 2022
      month: 10
      day: 22
  author:
    - family: Halko
      given: Nathan
    - family: Martinsson
      given: Per-Gunnar
    - family: Tropp
      given: Joel A.
  citation-key: HalkoFinding2010
  DOI: 10.48550/arXiv.0909.4061
  issued:
    - year: 2010
      month: 12
      day: 14
  number: arXiv:0909.4061
  publisher: arXiv
  title: >-
    Finding structure with randomness: Probabilistic algorithms for constructing
    approximate matrix decompositions
  type: article
  URL: http://arxiv.org/abs/0909.4061

- id: HastieMatrix2015
  accessed:
    - year: 2023
      month: 4
      day: 20
  author:
    - family: Hastie
      given: Trevor
    - family: Mazumder
      given: Rahul
    - family: Lee
      given: Jason D.
    - family: Zadeh
      given: Reza
  citation-key: HastieMatrix2015
  container-title: Journal of Machine Learning Research
  issued:
    - year: 2015
  page: 3367-3402
  title: Matrix Completion and Low-Rank SVD via Fast Alternating Least Squares
  type: paper-conference
  URL: http://arxiv.org/abs/1410.2596
  volume: '16'

- id: RabaniOutofCore2001
  author:
    - family: Rabani
      given: Eran
    - family: Toledo
      given: Sivan
  citation-key: RabaniOutofCore2001
  container-title: PPSC
  issued:
    - year: 2001
  language: en
  title: Out-of-Core SVD and QR Decompositions
  type: paper-conference
  URL: https://www.math.tau.ac.il/~stoledo/Bib/Pubs/pp01-qr.pdf

- id: SaadIterative2003
  author:
    - family: Saad
      given: Yousef
  citation-key: SaadIterative2003
  edition: 2nd
  ISBN: 978-0-89871-800-3
  issued:
    - year: 2003
      month: 1
      day: 1
  language: en
  number-of-pages: '538'
  publisher: SIAM
  title: 'Iterative Methods for Sparse Linear Systems: Second Edition'
  type: book
  URL: https://www-users.cse.umn.edu/~saad/IterMethBook_2ndEd.pdf

- id: SarwarIncremental2002
  author:
    - family: Sarwar
      given: Badrul
    - family: Karypis
      given: George
    - family: Konstan
      given: Joseph
    - family: Riedl
      given: John
  citation-key: SarwarIncremental2002
  issued:
    - year: 2002
  language: en
  title: >-
    Incremental Singular Value Decomposition Algorithms for Highly Scalable
    Recommender Systems
  type: article-journal

- id: TroppRandomized2016
  accessed:
    - year: 2016
      month: 9
      day: 7
  author:
    - family: Tropp
      given: Joel A.
    - family: Yurtsever
      given: Alp
    - family: Udell
      given: Madeleine
    - family: Cevher
      given: Volkan
  citation-key: TroppRandomized2016
  container-title: arXiv:1609.00048 [cs, math, stat]
  issued:
    - year: 2016
      month: 8
      day: 31
  title: Randomized single-view algorithms for low-rank matrix approximation
  type: article-journal
  URL: http://arxiv.org/abs/1609.00048

- id: ZhangAnswer2022
  accessed:
    - year: 2023
      month: 4
      day: 8
  author:
    - family: Zhang
      given: Yangwen
  citation-key: ZhangAnswer2022
  DOI: 10.48550/arXiv.2204.05398
  issued:
    - year: 2022
      month: 4
      day: 30
  number: arXiv:2204.05398
  publisher: arXiv
  title: An answer to an open question in the incremental SVD
  type: article
  URL: http://arxiv.org/abs/2204.05398
  version: '2'
...
